2019-12-14 22:03 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0004889Spring engineGeneralpublic2015-07-07 00:45
Reporterabma 
Assigned Tohokomoko 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version99.0+git 
Target Version100.0Fixed in Version 
Summary0004889: crash when clicking "quit to menu"
Description[f=0137820] [CrashHandler] Error: Segmentation fault (SIGSEGV) in spring 99.0.1-75-g243ffda develop (Debug)
[f=0137820] [CrashHandler] Error: Halted Stacktrace for Spring 99.0.1-75-g243ffda develop (Debug) using libunwind:
[f=0137820] [CrashHandler] Error: [00] .../dev/spring/develop/rts/System/Platform/Linux/CrashHandler.cpp:815 CrashHandler::HaltedStacktrace(std::string const&, siginfo_t*, ucontext*)
[f=0137820] [CrashHandler] Error: [01] .../dev/spring/develop/rts/System/Platform/Linux/CrashHandler.cpp:921 CrashHandler::HandleSignal(int, siginfo_t*, void*)
[f=0137820] [CrashHandler] Error: [02] /lib/x86_64-linux-gnu/libpthread.so.0(+0x10d10) [0x7f8fdd3e8d10] __restore_rt
[f=0137820] [CrashHandler] Error: [03] .../dev/spring/develop/rts/Game/UnsyncedGameCommands.cpp:2165 (anonymous namespace)::ConsoleActionExecutor::Execute(UnsyncedAction const&) const
[f=0137820] [CrashHandler] Error: [04] .../dev/spring/develop/rts/Game/IActionExecutor.h:109 IActionExecutor<UnsyncedAction, false>::ExecuteAction(UnsyncedAction const&) const
[f=0137820] [CrashHandler] Error: [05] .../dev/spring/develop/rts/Game/Game.cpp:2264 CGame::ActionPressed(unsigned int, Action const&, bool)
[f=0137820] [CrashHandler] Error: [06] .../dev/spring/develop/rts/Game/Game.cpp:2234 CGame::ProcessAction(Action const&, unsigned int, bool)
[f=0137820] [CrashHandler] Error: [07] .../dev/spring/develop/rts/Game/UI/GuiHandler.cpp:1482 CGuiHandler::RunCustomCommands(std::vector<std::string, std::allocator<std::string> > const&, bool)
[f=0137820] [CrashHandler] Error: [08] .../dev/spring/develop/rts/Lua/LuaUnsyncedCtrl.cpp:1628 LuaUnsyncedCtrl::SendCommands(lua_State*)
[f=0137820] [CrashHandler] Error: [09] /home/abma/dev/spring/develop/rts/lib/lua/src/ldo.cpp:320 luaD_precall(lua_State*, lua_TValue*, int)
[f=0137820] [CrashHandler] Error: [10] /home/abma/dev/spring/develop/rts/lib/lua/src/lvm.cpp:613 luaV_execute(lua_State*, int)
[f=0137820] [CrashHandler] Error: [11] /home/abma/dev/spring/develop/rts/lib/lua/src/ldo.cpp:379 luaD_call(lua_State*, lua_TValue*, int)
[f=0137820] [CrashHandler] Error: [12] /home/abma/dev/spring/develop/rts/lib/lua/src/lapi.cpp:813 f_call(lua_State*, void*)
[f=0137820] [CrashHandler] Error: [13] /home/abma/dev/spring/develop/rts/lib/lua/src/ldo.cpp:119 luaD_rawrunprotected(lua_State*, void (*)(lua_State*, void*), void*)
[f=0137820] [CrashHandler] Error: [14] /home/abma/dev/spring/develop/rts/lib/lua/src/ldo.cpp:464 luaD_pcall(lua_State*, void (*)(lua_State*, void*), void*, long, long)
[f=0137820] [CrashHandler] Error: [15] /home/abma/dev/spring/develop/rts/lib/lua/src/lapi.cpp:833 lua_pcall(lua_State*, int, int, int)
[f=0137820] [CrashHandler] Error: [16] /home/abma/dev/spring/develop/rts/lib/lua/src/lbaselib.cpp:377 luaB_pcall(lua_State*)
[f=0137820] [CrashHandler] Error: [17] /home/abma/dev/spring/develop/rts/lib/lua/src/ldo.cpp:320 luaD_precall(lua_State*, lua_TValue*, int)
[f=0137820] [CrashHandler] Error: [18] /home/abma/dev/spring/develop/rts/lib/lua/src/lvm.cpp:613 luaV_execute(lua_State*, int)
[f=0137820] [CrashHandler] Error: [19] /home/abma/dev/spring/develop/rts/lib/lua/src/ldo.cpp:379 luaD_call(lua_State*, lua_TValue*, int)
[f=0137820] [CrashHandler] Error: [20] /home/abma/dev/spring/develop/rts/lib/lua/src/lapi.cpp:813 f_call(lua_State*, void*)
[f=0137820] [CrashHandler] Error: [21] /home/abma/dev/spring/develop/rts/lib/lua/src/ldo.cpp:119 luaD_rawrunprotected(lua_State*, void (*)(lua_State*, void*), void*)
[f=0137820] [CrashHandler] Error: [22] /home/abma/dev/spring/develop/rts/lib/lua/src/ldo.cpp:464 luaD_pcall(lua_State*, void (*)(lua_State*, void*), void*, long, long)
[f=0137820] [CrashHandler] Error: [23] /home/abma/dev/spring/develop/rts/lib/lua/src/lapi.cpp:833 lua_pcall(lua_State*, int, int, int)
[f=0137820] [CrashHandler] Error: [24] .../dev/spring/develop/rts/Lua/LuaHandle.cpp:294 (discriminator 1) CLuaHandle::RunCallInTraceback(lua_State*, LuaHashString const*, int, int, int, std::string&, [...]
[f=0137820] [CrashHandler] Error: [25] .../dev/spring/develop/rts/Lua/LuaHandle.cpp:364 CLuaHandle::RunCallInTraceback(lua_State*, LuaHashString const*, int, int, int, std::string&, bool)
[f=0137820] [CrashHandler] Error: [26] .../dev/spring/develop/rts/Lua/LuaHandle.cpp:374 CLuaHandle::RunCallInTraceback(lua_State*, LuaHashString const&, int, int, int, bool)
[f=0137820] [CrashHandler] Error: [27] .../dev/spring/develop/rts/Lua/LuaHandle.cpp:436 CLuaHandle::Shutdown()
[f=0137820] [CrashHandler] Error: [28] .../dev/spring/develop/rts/Lua/LuaHandle.cpp:124 CLuaHandle::KillLua()
[f=0137820] [CrashHandler] Error: [29] .../dev/spring/develop/rts/Lua/LuaUI.cpp:92 (discriminator 4) CLuaUI::FreeHandler()
[f=0137820] [CrashHandler] Error: [30] .../dev/spring/develop/rts/Game/Game.cpp:797 CGame::KillLua()
[f=0137820] [CrashHandler] Error: [31] .../dev/spring/develop/rts/Game/Game.cpp:359 CGame::~CGame()
[f=0137820] [CrashHandler] Error: [32] .../dev/spring/develop/rts/Game/Game.cpp:374 CGame::~CGame()
[f=0137820] [CrashHandler] Error: [33] .../dev/spring/develop/rts/System/Util.h:198 void SafeDelete<IMapDamage*>(IMapDamage*&)
[f=0137820] [CrashHandler] Error: [34] .../dev/spring/develop/rts/System/SpringApp.cpp:883 SpringApp::Reload(std::string const&)
[f=0137820] [CrashHandler] Error: [35] .../dev/spring/develop/rts/System/SpringApp.cpp:973 SpringApp::Run()
[f=0137820] [CrashHandler] Error: [36] .../dev/spring/develop/rts/System/Main.cpp:48 Run(int, char**)
[f=0137820] [CrashHandler] Error: [37] .../dev/spring/develop/rts/System/Main.cpp:108 main
[f=0137820] [CrashHandler] Error: [38] /build/buildd/glibc-2.21/csu/libc-start.c:323 __libc_start_main
[f=0137820] [CrashHandler] Error: [39] /home/abma/local/spring/develop/bin/spring(_start+0x29) [0x5a7fb9] ??
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0014915

abma (administrator)

seems to always happen in ba:test:

to reproduce, start game, type /quitmenu, click quit to menu

(tested with KAIK, not sure if AI is needed)

~0014916

abma (administrator)

happens without ai, too.

~0014919

hokomoko (developer)

Fix eebaa0bba2852e9a7a6f9391bfacd79ee365049a committed to develop branch: Fix 0004889, repo: spring changeset id: 5316
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2015-07-06 23:55 abma New Issue
2015-07-06 23:55 abma Target Version => 100.0
2015-07-07 00:01 abma Note Added: 0014915
2015-07-07 00:02 abma Note Added: 0014916
2015-07-07 00:25 abma Status new => resolved
2015-07-07 00:25 abma Resolution open => fixed
2015-07-07 00:25 abma Assigned To => hokomoko
2015-07-07 00:45 hokomoko Changeset attached => spring develop eebaa0bb
2015-07-07 00:45 hokomoko Note Added: 0014919
+Issue History